## crashtest-1.1.tar.gz

=== src-crashtest/Makefile ===
# EDIT THESE SETTINGS

PLIBPREFIX=/usr
ODEPREFIX=/usr
CXX=g++

#PLIBPREFIX=$(HOME)
#ODEPREFIX=$(HOME)
#CXX=g++-4.0

# END OF CUSTOM SETTINGS

CXXFLAGS=\
  -I$(ODEPREFIX)/include \
  -I$(PLIBPREFIX)/include \
  -I../src-common \
  -O2 -g -Wall

LFLAGS=\
  -L$(PLIBPREFIX)/lib \
  -L/usr/X11R6/lib

OBJS=staticworldobject.o crashtest.o dynamicobject.o cartobject.o

LIBS= $(ODEPREFIX)/lib/libode.a -lplibssgaux -lplibssg -lplibsg -lplibpu -lplibfnt -lplibul -lGLU -lGL `fltk-config --use-gl --use-images --ldflags`


all: crashtest

crashtest: $(OBJS)
	$(CXX) -o crashtest $(OBJS) $(LFLAGS) $(LIBS)

staticworldobject.o: ../src-common/staticworldobject.cxx ../src-common/staticworldobject.h ../src-common/worldobject.h
	$(CXX) -c $(CXXFLAGS) ../src-common/staticworldobject.cxx

dynamicobject.o: ../src-common/dynamicobject.cxx ../src-common/dynamicobject.h ../src-common/worldobject.h
	$(CXX) -c $(CXXFLAGS) ../src-common/dynamicobject.cxx

cartobject.o: cartobject.cxx cartobject.h
	$(CXX) -c $(CXXFLAGS) cartobject.cxx

crashtest.o: crashtest.cxx crashworld.h ../src-common/modelmap.h cartobject.h bipedobject.h ../src-common/brickwall.h ../src-common/stereocontext.h ../src-common/usercam.h
	$(CXX) -c $(CXXFLAGS) crashtest.cxx



run: crashtest
	PLODE_DATADIR=`pwd` ./crashtest


GAMEDIR=$(DESTDIR)/usr/share/games/crashtest
install: crashtest
	# Directories
	mkdir -p $(DESTDIR)/usr/games/
	mkdir -p $(GAMEDIR)/models/
	# Binary
	install crashtest $(DESTDIR)/usr/games/crashtest
	# Models
	install -m 644 models/testground.3ds $(GAMEDIR)/models/testground.3ds
	install -m 644 models/biped_torso.3ds $(GAMEDIR)/models/biped_torso.3ds
	install -m 644 models/biped_head.3ds $(GAMEDIR)/models/biped_head.3ds
	install -m 644 models/biped_upperarm.3ds $(GAMEDIR)/models/biped_upperarm.3ds
	install -m 644 models/biped_lowerarm.3ds $(GAMEDIR)/models/biped_lowerarm.3ds
	install -m 644 models/biped_upperleg.3ds $(GAMEDIR)/models/biped_upperleg.3ds
	install -m 644 models/biped_lowerleg.3ds $(GAMEDIR)/models/biped_lowerleg.3ds
	install -m 644 models/biped_foot.3ds $(GAMEDIR)/models/biped_foot.3ds
	install -m 644 models/cart.3ds $(GAMEDIR)/models/cart.3ds
	install -m 644 models/wheel.3ds $(GAMEDIR)/models/wheel.3ds
	install -m 644 models/nwoplate.ac $(GAMEDIR)/models/nwoplate.ac
	install -m 644 models/saralogo.bmp $(GAMEDIR)/models/saralogo.bmp
	install -m 644 models/brick_half.3ds $(GAMEDIR)/models/brick_half.3ds
	install -m 644 models/brick_full.3ds $(GAMEDIR)/models/brick_full.3ds


deb:
	strip crashtest
	fakeroot dpkg-buildpackage


clean:
	rm -f *.o crashtest
