=== src-crashtest/debian/changelog ===
crashtest (1.0-1) unstable; urgency=low

  * First public release

 -- Bram Stolk <b.stolk@gmail.com>  Wed, 25 Oct 2006 17:08:36 +0200
