=== src-crashtest/debian/control ===
Source: crashtest
Section: games
Priority: optional
Maintainer: Bram Stolk <b.stolk@gmail.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.7.2.2

Package: crashtest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simulated car crash. This is an educational tool that can be used to aquire much insight into this complex process. The user can learn about the relation between speed and stopping distance. Also, many physical properties can be studied.
